DPKG-PRECONFIGURE.FR.8(8)

NOM
dpkg-preconfigure - permet aux paquets de poser des questions avant leur installation

SYNOPSIS
 dpkg-preconfigure [options] paquet.deb

 dpkg-preconfigure --apt

DESCRIPTION
dpkg-preconfigure permet aux paquets de poser des questions avant qu'ils ne soient installés. Il opère sur un jeu de paquets debian, et tous ceux qui utilisent debconf lanceront leur script de configuration, pouvant ainsi examiner le système et poser des questions.

OPTIONS

-ftype, --frontend=type
    Sélectionner l'interface à utiliser.

-pvaleur, --priority=valeur
    Positionner la priorité la plus basse des questions auxquelles vous vous intéressez. Toutes les questions en dessous de la priorité sélectionnée seront ignorées et les réponses par défaut seront utilisées.

--terse
    Activer le mode d'affichage concis. Cela n'affecte que certaines interfaces.

--apt
    Exécuter en mode apt. Il s'attendra à lire un jeu de noms de paquets depuis l'entrée standard, plutôt que de les obtenir en paramètre. C'est généralement utilisé pour faire exécuter dpkg-preconfigure par apt avant que tous les paquets ne soient installés. Pour ce faire, ajoutez quelque chose comme ceci dans /etc/apt/apt.conf :

     // Pré-configure tous les paquets
     // avant qu'ils ne soient installés.
     DPkg::Pre-Install-Pkgs {
            "dpkg-preconfigure --apt --priority=low";
     };

-h, --help
    Afficher un message d'aide.

VOIR AUSSI
debconf(7)

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Julien Louis <ptitlouis@sysif.net>, 2005

Cyril Brulebois <kibi@debian.org>, 2006

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debconf.